Loading...
Searching...
No Matches
ladspa::PluginDesc Class Reference

`#include <ladspaback.h>`

## Public Member Functions

int | quirks_get ()
void | reset ()
bool | check_changed ()
bool | _i_check_has_settings ()
void | check_has_settings ()
int | set_active (bool v)
void | fixup ()
void | set_add_wet_dry_controller (bool v)
void | set_stereo_to_mono (bool v)
void | copy_ports (PluginDesc *p)
void | set_category (const std::vector< Glib::ustring > &s)
void | set_default (int idx, float value, const Glib::ustring &label)
void | set_state (const Glib::ustring &fname)
void | set_old ()
void | clear_old ()
void | output_entry (gx_system::JsonWriter &jw)
void | output (gx_system::JsonWriter &jw)

## Public Attributes

unsigned long | UniqueID
Glib::ustring | Label
Glib::ustring | Name
Glib::ustring | shortname
Glib::ustring | Maker
int | MasterIdx
Glib::ustring | MasterLabel
int | tp
std::vector< PortDesc * > | ctrl_ports
std::string | path
int | index
Glib::ustring | category
Glib::ustring | deduced_category
int | quirks
int | quirks_default
bool | is_lv2
std::string | ladspa_category
bool | active
bool | active_set
bool | has_settings
int | add_wet_dry
int | stereo_to_mono
PluginDesc * | old

## Private Member Functions

| PluginDesc (const LADSPA_Descriptor &desc, int tp_, std::vector< PortDesc * > &ctrl_ports_, const std::string path_, int index_)
| PluginDesc (LilvWorld *world, const LilvPlugin *plugin, int tp_, std::vector< PortDesc * > &ctrl_ports_)
| PluginDesc (gx_system::JsonParser &jp)
| ~PluginDesc ()
void | serializeJSON (gx_system::JsonWriter &jw)

## Friends

class | LadspaPluginList

## Detailed Description

Definition at line 134 of file ladspaback.h.

## Constructor & Destructor Documentation

## PluginDesc() [1/3]

ladspa::PluginDesc::PluginDesc | ( | const LADSPA_Descriptor & | desc,
|  | int | tp_,
|  | std::vector< PortDesc * > & | ctrl_ports_,
|  | const std::string | path_,
|  | int | index_ )

private

Referenced by copy_ports().

## PluginDesc() [2/3]

ladspa::PluginDesc::PluginDesc | ( | LilvWorld * | world,
|  | const LilvPlugin * | plugin,
|  | int | tp_,
|  | std::vector< PortDesc * > & | ctrl_ports_ )

private

## PluginDesc() [3/3]

ladspa::PluginDesc::PluginDesc | ( | gx_system::JsonParser & | jp | ) |

private

## ~PluginDesc()

ladspa::PluginDesc::~PluginDesc | ( |  | ) |

private

## Member Function Documentation

## _i_check_has_settings()

bool ladspa::PluginDesc::_i_check_has_settings | ( |  | ) |

## check_changed()

bool ladspa::PluginDesc::check_changed | ( |  | ) |

## check_has_settings()

void ladspa::PluginDesc::check_has_settings | ( |  | ) |

## clear_old()

void ladspa::PluginDesc::clear_old | ( |  | ) |

inline

Definition at line 182 of file ladspaback.h.

## copy_ports()

void ladspa::PluginDesc::copy_ports | ( | PluginDesc * | p | ) |

## fixup()

void ladspa::PluginDesc::fixup | ( |  | ) |

## output()

void ladspa::PluginDesc::output | ( | gx_system::JsonWriter & | jw | ) |

## output_entry()

void ladspa::PluginDesc::output_entry | ( | gx_system::JsonWriter & | jw | ) |

## quirks_get()

int ladspa::PluginDesc::quirks_get | ( |  | ) |

## reset()

void ladspa::PluginDesc::reset | ( |  | ) |

## serializeJSON()

void ladspa::PluginDesc::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

private

## set_active()

int ladspa::PluginDesc::set_active | ( | bool | v | ) |

## set_add_wet_dry_controller()

void ladspa::PluginDesc::set_add_wet_dry_controller | ( | bool | v | ) |

## set_category()

void ladspa::PluginDesc::set_category | ( | const std::vector< Glib::ustring > & | s | ) |

## set_default()

void ladspa::PluginDesc::set_default | ( | int | idx,
|  | float | value,
|  | const Glib::ustring & | label )

## set_old()

void ladspa::PluginDesc::set_old | ( |  | ) |

## set_state()

void ladspa::PluginDesc::set_state | ( | const Glib::ustring & | fname | ) |

## set_stereo_to_mono()

void ladspa::PluginDesc::set_stereo_to_mono | ( | bool | v | ) |

## Friends And Related Symbol Documentation

## LadspaPluginList

friend class LadspaPluginList

friend

Definition at line 179 of file ladspaback.h.

Referenced by LadspaPluginList.

## Member Data Documentation

## active

bool ladspa::PluginDesc::active

Definition at line 153 of file ladspaback.h.

## active_set

bool ladspa::PluginDesc::active_set

Definition at line 154 of file ladspaback.h.

## add_wet_dry

int ladspa::PluginDesc::add_wet_dry

Definition at line 156 of file ladspaback.h.

## category

Glib::ustring ladspa::PluginDesc::category

Definition at line 147 of file ladspaback.h.

## ctrl_ports

std::vector<PortDesc*> ladspa::PluginDesc::ctrl_ports

Definition at line 144 of file ladspaback.h.

## deduced_category

Glib::ustring ladspa::PluginDesc::deduced_category

Definition at line 148 of file ladspaback.h.

## has_settings

bool ladspa::PluginDesc::has_settings

Definition at line 155 of file ladspaback.h.

## index

int ladspa::PluginDesc::index

Definition at line 146 of file ladspaback.h.

## is_lv2

bool ladspa::PluginDesc::is_lv2

Definition at line 151 of file ladspaback.h.

## Label

Glib::ustring ladspa::PluginDesc::Label

Definition at line 137 of file ladspaback.h.

## ladspa_category

std::string ladspa::PluginDesc::ladspa_category

Definition at line 152 of file ladspaback.h.

## Maker

Glib::ustring ladspa::PluginDesc::Maker

Definition at line 140 of file ladspaback.h.

## MasterIdx

int ladspa::PluginDesc::MasterIdx

Definition at line 141 of file ladspaback.h.

## MasterLabel

Glib::ustring ladspa::PluginDesc::MasterLabel

Definition at line 142 of file ladspaback.h.

## Name

Glib::ustring ladspa::PluginDesc::Name

Definition at line 138 of file ladspaback.h.

## old

PluginDesc* ladspa::PluginDesc::old

Definition at line 158 of file ladspaback.h.

Referenced by clear_old().

## path

std::string ladspa::PluginDesc::path

Definition at line 145 of file ladspaback.h.

## quirks

int ladspa::PluginDesc::quirks

Definition at line 149 of file ladspaback.h.

## quirks_default

int ladspa::PluginDesc::quirks_default

Definition at line 150 of file ladspaback.h.

## shortname

Glib::ustring ladspa::PluginDesc::shortname

Definition at line 139 of file ladspaback.h.

## stereo_to_mono

int ladspa::PluginDesc::stereo_to_mono

Definition at line 157 of file ladspaback.h.

## tp

int ladspa::PluginDesc::tp

Definition at line 143 of file ladspaback.h.

## UniqueID

unsigned long ladspa::PluginDesc::UniqueID

Definition at line 136 of file ladspaback.h.

The documentation for this class was generated from the following file:

- src/headers/ladspaback.h